<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--
IGAC proyecto SNC
@author 		christian.rodriguez
@description  	página en la que se modifican los datos de una comisión para Ofertas
@cu  			CU-TV-0F-003
@version  		2.0
@param			comisionOfertaParam Comision Oferta sobre la cual se quieren ver los 
                detalles
@param 			managedBeanParam Manage Bean encargado de ejecutar las acciones 
                relacionadas con la edición de la comisión
-->
<h:form id="detalleComisionOfertaForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui">

    <p:messages id="msgsDetalleComisionOferta" showDetail="false"
                globalOnly="false" />

    <p:spacer height="5" />

    <p:fieldset>

        <legend>
            <h:outputText styleClass="legendTitle" value="Comisión de ofertas" />
        </legend>

        <h:inputText style="position:absolute; top: -100px;" />

        <h:panelGrid columns="4" cellspacing="7"
                     columnClasses="colMediana, colMediana, colMediana, colMediana">

            <h:outputLabel value="Comisión No.:" styleClass="outputLabelStyle"
                           for="comisionNumeroDCO" />
            <h:outputText id="comisionNumeroDCO"
                          value="#{comisionOfertaParam.numero}" styleClass="outputTextStyle" />

            <h:outputLabel value="Fecha:" styleClass="outputLabelStyle"
                           for="fechaDCO" />
            <h:outputText id="fechaDCO" value="#{comisionOfertaParam.fechaLog}"
                          styleClass="outputTextStyle">
                <f:convertDateTime pattern="#{general.formatoFechaUsuario2}"
                                   timeZone="GMT-5" />
            </h:outputText>

            <h:panelGroup>
                <h:outputLabel value="Fecha inicio:" styleClass="outputLabelStyle"
                               for="fechaInicioDCO" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <p:calendar id="fechaInicioDCO" label="Fecha inicio"
                            value="#{comisionOfertaParam.fechaInicio}"
                            mindate="#{managedBeanParam.minFechaInicio}" navigator="true"
                            pattern="#{general.formatoFecha}" showOn="both"
                            title="#{general.formatoFechaUsuario}" tabindex="0"
                            effect="slideDown" locale="es_CO" size="12" required="true">
                    <p:ajax event="dateSelect"
                            update=":detalleComisionOfertaForm:tiempoComisionDCO,
                            :detalleComisionOfertaForm:fechaFinalDCO" />
                </p:calendar>
                <p:message for="fechaInicioDCO" display="icon" />
            </h:panelGrid>

            <h:panelGroup>
                <h:outputLabel value="Fecha final:" styleClass="outputLabelStyle"
                               for="fechaFinalDCO" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
            </h:panelGroup>
            <h:panelGrid columns="2">
                <p:calendar id="fechaFinalDCO" label="Fecha final"
                            value="#{comisionOfertaParam.fechaFin}"
                            mindate="#{managedBeanParam.minFechaFin}" navigator="true"
                            pattern="#{general.formatoFecha}" showOn="both"
                            title="#{general.formatoFechaUsuario}" tabindex="0"
                            effect="slideDown" locale="es_CO" size="12" required="true">
                    <p:ajax event="dateSelect"
                            update=":detalleComisionOfertaForm:tiempoComisionDCO" />
                </p:calendar>
                <p:message for="fechaFinalDCO" display="icon" />
            </h:panelGrid>

            <h:outputLabel value="Tiempo comisión:" styleClass="outputLabelStyle"
                           for="tiempoComisionDCO" />
            <h:outputText id="tiempoComisionDCO"
                          value="#{managedBeanParam.duracionComision} días"
                          styleClass="outputTextStyle" />

            <h:outputLabel value="Estado comisión:" styleClass="outputLabelStyle"
                           for="estadoComisionDCO" />
            <h:outputText id="estadoComisionDCO"
                          value="#{comisionOfertaParam.estado}" styleClass="outputTextStyle" />

        </h:panelGrid>

        <h:panelGrid columns="1" cellspacing="7" width="100%">
            <h:panelGrid columns="3">
                <h:outputLabel value="Objeto comisión:"
                               styleClass="outputLabelStyle" for="objetoComisionDCO" />
                <h:outputLabel value="* " styleClass="requiredLabelStyle" />
                <p:message for="objetoComisionDCO" display="icon" />
            </h:panelGrid>
            <h:inputTextarea id="objetoComisionDCO" label="Objeto comisión"
                             value="#{comisionOfertaParam.objeto}" rows="4" style="width:100%;"
                             required="true" />


            <h:outputLabel value="Áreas asignadas a la comisión:"
                           styleClass="outputLabelStyle" />
            <p:dataTable value="#{comisionOfertaParam.regionCapturaOfertas}"
                         id="asd" var="region" widgetVar="areasAsignadasComisionDTWV"
                         emptyMessage="No hay áreas asociadas a la comisión"
                         selection="#{managedBeanParam.selectedRecolectorRegionCapturaOferta}"
                         rowKey="#{region.id}">

                <f:facet name="header">
                    <h:outputText value="Áreas asignadas a la comisión" />
                </f:facet>

                <p:column selectionMode="single" style="width:18px"
                          rendered="#{!managedBeanParam.banderaEsCreacion}" />

                <p:column headerText="Departamento">
                    <h:outputText id="departamentoAreaComision"
                                  styleClass="outputTextStyle"
                                  value="#{region.areaCapturaOferta.departamento.nombre}" />
                </p:column>

                <p:column headerText="Municipio">
                    <h:outputText id="municipioAreaComision"
                                  styleClass="outputTextStyle"
                                  value="#{region.areaCapturaOferta.municipio.nombre}" />
                </p:column>

                <p:column headerText="Zona">
                    <h:outputText id="zonaAreaComision" styleClass="outputTextStyle"
                                  value="#{region.areaCapturaOferta.municipio.nombre}" />
                </p:column>

                <p:column headerText="Recolector">
                    <h:outputText id="recolectorAreaComision"
                                  styleClass="outputTextStyle"
                                  value="#{region.asignadoRecolectorNombre}" />
                </p:column>

                <p:column headerText="Identificador">
                    <h:outputText id="identificadorAreaComision"
                                  styleClass="outputTextStyle" value="#{region.id}" />
                </p:column>
            </p:dataTable>

        </h:panelGrid>

    </p:fieldset>

    <h:panelGrid columns="2" cellspacing="7">
        <p:commandButton value="Guardar" icon="ui-icon-disk" ajax="true"
                         action="#{managedBeanParam.guardarComisionOferta}"
                         onstart="statusDialog2.show();"
                         oncomplete="statusDialog2.hide(); 
                         handleCompleteSIC(xhr, status, args, memorandoWV, true);"
                         update="#{componentsToUpdateParam},
                         detalleComisionOfertaForm"
                         rendered="#{not empty comisionOfertaParam.regionCapturaOfertas}" />
        <p:commandButton value="Retirar recolector"
                         onclick="if (areasAsignadasComisionDTWV.selection.length != 1) {
                                     alert('Debe seleccionar un recolector de la comisión para retirar.');
                                     return false;
                                 }"
                         action="#{managedBeanParam.eliminarRecolectorComision}"
                         onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                         update="#{componentsToUpdateParam},
                         detalleComisionOfertaForm"
                         icon="ui-icon-circle-minus"
                         rendered="#{not empty comisionOfertaParam.regionCapturaOfertas and !banderaEsCreacionParam}">
        </p:commandButton>
        <p:commandButton value="Cerrar" onclick="detallesComisionWV.hide();"
                         icon="ui-icon-circle-close"
                         rendered="#{empty comisionOfertaParam.regionCapturaOfertas}">
        </p:commandButton>
    </h:panelGrid>

</h:form>